## icinga2 2.13.3

=== debian/changelog ===
icinga2 (2.13.3-1.stretch) icinga-stretch; urgency=medium

  * Debian/Ubuntu package for icinga-stretch

 -- Icinga.com <info@icinga.com>  Wed, 13 Apr 2022 15:36:21 +0000

icinga2 (2.13.3-1) icinga; urgency=medium

  * Release 2.13.3

 -- Julian Brost <julian.brost@icinga.com>  Thu, 14 Apr 2022 11:00:00 +0200

icinga2 (2.13.2-1) icinga; urgency=medium

  * Release 2.13.2-1

 -- Noah Hilverling <noah.hilverling@icinga.com>  Fri, 12 Nov 2021 16:58:30 +0100
