## icinga2 2.13.4

=== debian/changelog ===
icinga2 (2.13.4-1.jammy) icinga-jammy; urgency=medium

  * Debian/Ubuntu package for icinga-jammy

 -- Icinga.com <info@icinga.com>  Thu, 30 Jun 2022 11:25:30 +0000

icinga2 (2.13.4-1) icinga; urgency=medium

  * Release 2.13.4

 -- Julian Brost <julian.brost@icinga.com>  Thu, 30 Jun 2022 11:58:03 +0200
