## icinga2 2.13.5

=== debian/changelog ===
icinga2 (2.13.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update libreadline Recommends.
    (closes: #1014419)
  * Drop obsolete dh_strip override, dbgsym migration complete.
  * Update Vcs-* URLs for repo rename.
  * Add libboost-iostreams-dev to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Aug 2022 17:13:35 +0200

icinga2 (2.13.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes.
  * Drop vim-icinga2-docs.patch, fixed upstream.
  * Update lintian overrides.
  * Override dh_vim-addon to only act on vim-icinga2.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 30 Jun 2022 15:29:22 +0200

icinga2 (2.13.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.
  * Refresh patches.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Apr 2022 15:55:28 +0200
