=== debian/control ===
--- 
+++ 
@@ -1,46 +1,49 @@
 Source: icinga2
+Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
+Uploaders: Markus Frosch <lazyfrosch@debian.org>,
+           Jan Wagner <waja@cyconet.org>,
+           Alexander Wirt <formorer@debian.org>
 Section: admin
 Priority: optional
-Maintainer: Icinga Development Team <info@icinga.com>
-Build-Depends:
-  bash-completion,
-  bison,
-  cmake (>= 2.8.7),
-  cmake (>= 3.2.2) | pkg-config,
-  debhelper (>= 10),
-  libsystemd-dev,
-  flex,
-  g++ (>= 4:8.0) | g++-8 | g++ (<< 4:7),
-  libboost-dev (>= 1.66) | libboost1.67-dev | libboost1.67-icinga-dev,
-  libboost-context-dev (>= 1.66) | libboost-context1.67-dev | libboost-context1.67-icinga-dev,
-  libboost-coroutine-dev (>= 1.66) | libboost-coroutine1.67-dev | libboost-coroutine1.67-icinga-dev,
-  libboost-filesystem-dev (>= 1.66) | libboost-filesystem1.67-dev | libboost-filesystem1.67-icinga-dev,
-  libboost-program-options-dev (>= 1.66) | libboost-program-options1.67-dev | libboost-program-options1.67-icinga-dev,
-  libboost-regex-dev (>= 1.66) | libboost-regex1.67-dev | libboost-regex1.67-icinga-dev,
-  libboost-system-dev (>= 1.66) | libboost-system1.67-dev | libboost-system1.67-icinga-dev,
-  libboost-test-dev (>= 1.66) | libboost-test1.67-dev | libboost-test1.67-icinga-dev,
-  libboost-thread-dev (>= 1.66) | libboost-thread1.67-dev | libboost-thread1.67-icinga-dev,
-  default-libmysqlclient-dev | libmysqlclient-dev,
-  libpq-dev,
-  libssl-dev,
-  libyajl-dev,
-  libedit-dev,
-  make (>= 3.81),
-  po-debconf
-Standards-Version: 3.9.8
-Homepage: https://www.icinga.com
-Vcs-Browser: https://git.icinga.com/packaging/deb-icinga2
-Vcs-Git: https://git.icinga.com/packaging/deb-icinga2.git
+Build-Depends: bash-completion,
+               bison,
+               cmake (>= 2.8.8),
+               cmake (>= 3.2.2) | pkg-config,
+               debhelper-compat (= 12),
+               dh-vim-addon,
+               flex,
+               g++ (>= 1.96),
+               libboost-dev,
+               libboost-context-dev,
+               libboost-coroutine-dev,
+               libboost-filesystem-dev,
+               libboost-iostreams-dev,
+               libboost-program-options-dev,
+               libboost-regex-dev,
+               libboost-system-dev,
+               libboost-test-dev,
+               libboost-thread-dev,
+               libedit-dev,
+       default-libmysqlclient-dev,
+               libpq-dev,
+               libssl-dev,
+               libsystemd-dev,
+               libwxgtk3.0-gtk3-dev,
+               make (>= 3.81),
+               po-debconf
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/nagios-team/icinga2
+Vcs-Git: https://salsa.debian.org/nagios-team/icinga2.git
+Homepage: https://icinga.com
 
 Package: icinga2
 Architecture: any
 Depends: icinga2-bin (= ${binary:Version}),
          icinga2-common (= ${source:Version}),
          ${misc:Depends}
-Recommends:
-  icinga2-doc (= ${binary:Version}),
-  monitoring-plugins-basic | nagios-plugins-basic,
-  libreadline8 | libreadline7 | libreadline6
+Recommends: icinga2-doc (= ${binary:Version}),
+            monitoring-plugins-basic | nagios-plugins-basic,
+            libreadline8
 Suggests: vim-icinga2
 Description: host and network monitoring system
  Icinga 2 is a general-purpose monitoring application to fit the needs of
@@ -63,15 +66,14 @@
 
 Package: icinga2-common
 Architecture: all
-Replaces: python-icinga2
+Depends: adduser,
+         lsb-base,
+         lsb-release,
+         ${misc:Depends}
+Recommends: logrotate
 Conflicts: python-icinga2
 Provides: python-icinga2
-Depends:
-    adduser,
-    lsb-release,
-    lsb-base,
-    ${misc:Depends}
-Recommends: logrotate
+Replaces: python-icinga2
 Description: host and network monitoring system - common files
  Icinga 2 is a general-purpose monitoring application to fit the needs of
  any size of network. Icinga 1.x was a Nagios fork; this new generation
@@ -93,12 +95,13 @@
 
 Package: icinga2-bin
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: icinga2-common (= ${source:Version}),
+         lsb-base,
          ${misc:Depends},
          ${shlibs:Depends}
-Breaks: libicinga2
-Replaces: libicinga2
+Pre-Depends: ${misc:Pre-Depends}
+Breaks: icinga2-common (<< 2.10.1-3~)
+Replaces: icinga2-common (<< 2.10.1-3~)
 Description: host and network monitoring system - daemon
  Icinga 2 is a general-purpose monitoring application to fit the needs of
  any size of network. Icinga 1.x was a Nagios fork; this new generation
@@ -143,15 +146,16 @@
 
 Package: icinga2-ido-mysql
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: dbconfig-common,
          icinga2-bin (= ${binary:Version}),
          icinga2-common (= ${source:Version}),
          ucf,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: default-mysql-client | mysql-client | virtual-mysql-client
-Suggests: default-mysql-server | mysql-server
+Recommends: default-mysql-client | virtual-mysql-client
+Suggests: default-mysql-server | virtual-mysql-server
+Pre-Depends: ${misc:Pre-Depends}
+Conflicts: icinga2-ido-pgsql
 Description: host and network monitoring system - MySQL support
  Icinga 2 is a general-purpose monitoring application to fit the needs of
  any size of network. Icinga 1.x was a Nagios fork; this new generation
@@ -173,7 +177,6 @@
 
 Package: icinga2-ido-pgsql
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: dbconfig-common,
          icinga2-bin (= ${binary:Version}),
          icinga2-common (= ${source:Version}),
@@ -182,6 +185,8 @@
          ${shlibs:Depends}
 Recommends: postgresql-client
 Suggests: postgresql
+Pre-Depends: ${misc:Pre-Depends}
+Conflicts: icinga2-ido-mysql
 Description: host and network monitoring system - PostgreSQL support
  Icinga 2 is a general-purpose monitoring application to fit the needs of
  any size of network. Icinga 1.x was a Nagios fork; this new generation
@@ -200,39 +205,16 @@
   * native support for Livestatus and Graphite.
  .
  This package provides the IDO module for the PostgreSQL database.
-
-Package: icinga2-dbg
-Architecture: any
-Section: debug
-Depends: icinga2-bin (= ${binary:Version}),
-         ${misc:Depends}
-Description: host and network monitoring system - debug symbols
- Icinga 2 is a general-purpose monitoring application to fit the needs of
- any size of network. Icinga 1.x was a Nagios fork; this new generation
- has been rewritten from scratch in C++, with multi-threading and cluster
- support.
- .
- Features:
-  * all standard features of Icinga and Nagios;
-  * much faster and more scalable than Icinga 1 and Nagios;
-  * new, more intuitive, template-based configuration format;
-  * monitoring services on ICMP (ping) or TCP ports (HTTP, NNTP, POP3,
-    SMTP, etc.) by executing checks (see monitoring-plugins*);
-  * any small script following the Nagios plugin API can be used as a
-    check plugin;
-  * notifications about alerts for any custom script (with examples);
-  * native support for Livestatus and Graphite.
- .
- This package provides debug symbols for Icinga 2.
 
 Package: vim-icinga2
 Architecture: all
-Depends: ${misc:Depends}
-Recommends: vim-addon-manager
+Depends: ${vim-addon:Depends},
+         ${misc:Depends}
 Description: syntax highlighting for Icinga 2 config files in VIM
+ Icinga 2 is a general-purpose monitoring application to fit the needs of
+ any size of network. Icinga 1.x was a Nagios fork; this new generation
+ has been rewritten from scratch in C++, with multi-threading and cluster
+ support.
+ .
  The vim-icinga2 package provides filetype detection and syntax
  highlighting for Icinga 2 config files.
- .
- As per the Debian vim policy, installed addons are not activated
- automatically, but the "vim-addon-manager" tool can be used for this
- purpose.
